import { line, curveNatural } from 'd3';
export const Marks = ({
  data,
  xScale,
  yScale,
  yValue,
  xValue,
  tooltipFormat,
  circleRadius = 6,
}) => (
  <g className="marks">
    <path
      d={line()
        .x((d) => xScale(xValue(d)))
        .y((d) => yScale(yValue(d)))
        .curve(curveNatural)(data)}
    />   
  </g>
);


 // {data.map((d) => (
 //      <circle        
 //        cx={xScale(xValue(d))}
 //        cy={yScale(yValue(d))}
 //        r={circleRadius}
 //      >
 //        <title>{tooltipFormat(yValue(d))}</title>
 //      </circle>
 //    ))}